import {User} from '@app/_models/user';

export class BlocksBloom {
  low: number;
  blockFilter: string;
  blocktxFilter: string;
  alg: string;
  filterRounds: number;
}

export class Token {
  address: string;
  name: string;
  symbol: string;
}

export class Tx {
  block: number;
  success: boolean;
  timestamp: number;
  txHash: string;
  txIndex: number;
}

export class Transaction {
  from: string;
  sender: User;
  to: string;
  recipient: User;
  token: Token;
  tx: Tx;
  value: number;
}

export class Conversion {
  destinationToken: Token;
  fromValue: number;
  sourceToken: Token;
  toValue: number;
  trader: string;
  user: User;
  tx: Tx;
}
